require "ssl2"

narray = SSL2.with_narray?

dim=5
if narray then
  za = NArray.sfloat(2,dim,dim)
  for i in 0..dim-1
    for j in 0..dim-1
      za[true,j,i] = [i-dim,0]
      za[true,i,j] = [dim-1,0]
    end
  end
else
  za = Array.new(dim)
  for i in 0..dim-1
    za[i] = Array.new(dim)
  end
  for i in 0..dim-1
    for j in 0..dim-1
      za[j][i] = [i-dim,0]
      za[i][j] = [dim-1,0]
    end
  end      
end


ze,zev = SSL2.ceig2(za,0)

if ze.type == NArray then
  for i in 0..dim-1
    printf("eigenvalue:  {%7.4f,  %7.4f}\n",ze[0,i],ze[1,i])
    printf("eigenvector:  ")
    for j in 0..dim-1
      printf("{%7.4f, %7.4f}  ",zev[0,j,i],zev[1,j,i])
    end
    printf("\n")
  end
else
  for i in 0..dim-1
    printf("eigenvalue:  {%7.4f,  %7.4f}\n",ze[0][i],ze[1][i])
    printf("eigenvector:  ")
    for j in 0..dim-1
      printf("{%7.4f, %7.4f}  ",zev[0][j][i],zev[1][j][i])
    end
    printf("\n")
  end
end
